Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push
Class SessionUnsubscriptionEvent

    java.lang.Object
      java.util.EventObject
          org.richfaces.application.push.TopicEvent
              org.richfaces.application.push.SessionTopicEvent
                  org.richfaces.application.push.SessionUnsubscriptionEvent

All Implemented Interfaces:
  Serializable

    public class SessionUnsubscriptionEvent

extends SessionTopicEvent

Author:
  Nick Belaevski
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SessionUnsubscriptionEvent(Topic topic, TopicKey topicKey, Session session)`

Method Summary
`void` | `invokeListener(EventListener listener)`

Methods inherited from class org.richfaces.application.push.SessionTopicEvent
`getSession, getTopicKey, isAppropriateListener`

Methods inherited from class org.richfaces.application.push.TopicEvent
`getTopic`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionUnsubscriptionEvent

    public SessionUnsubscriptionEvent(Topic topic,
                                      TopicKey topicKey,
                                      Session session)

Method Detail

### invokeListener

    public void invokeListener(EventListener listener)

  Overrides:
    `invokeListener` in class `TopicEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.